Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# SVideoOptions Struct Reference

Options per video device. More...

`#include <VideoOptions.h>`

List of all members.

## Public Methods

- SVideoOptions (QDomDocument &doc)
- SVideoOptions (const SVideoOptions &)
- ~SVideoOptions ()
- void SetXML (const QDomElement &el)
- QDomNode GetXML ()
- QString GetDeviceName () const
- void SetDeviceName (const QString &name)
- QString GetNodeName () const
- void SetNodeName (const QString &node)
- QString GetBaseName () const
- void SetBaseName (const QString &basename)
- QColor GetTextColor () const
- void SetTextColor (const QColor &color)
- void SetTextColor (const QString &color_name)
- QFont GetTextFont () const
- void SetTextFont (const QFont &font)
- void SetTextFont (const QString &font_name)
- bool GetTimeInImage () const
- void SetTimeInImage (bool)
- QString GetFileFormat () const
- void SetFileFormat (const QString &format)
- int GetSaveOption () const
- void SetSaveOption (int)
- int GetSequence () const
- void SetSequence (int)
- int GetMaxSequence () const
- void SetMaxSequence (int)
- bool GetSaveToDisk () const
- void SetSaveToDisk (bool)
- bool GetFTPToServer () const
- void SetFTPToServer (bool)
- QString GetFTPServer () const
- void SetFTPServer (const QString &server)
- QString GetFTPPath () const
- void SetFTPPath (const QString &path)
- QString GetFTPUser () const
- void SetFTPUser (const QString &user)
- QString GetFTPPass () const
- void SetFTPPass (const QString &pass)
- bool GetFTPPassive () const
- void SetFTPPassive (bool passive)
- bool GetFTPUnique () const
- void SetFTPUnique (bool unique)

## Detailed Description

Options per video device.

## Constructor & Destructor Documentation

SVideoOptions::SVideoOptions ( | QDomDocument & doc )

SVideoOptions::SVideoOptions ( | const SVideoOptions & org )

| Copy constructor; makes deep copy.

SVideoOptions::~SVideoOptions ( | )

## Member Function Documentation

QString SVideoOptions::GetBaseName ( | ) const

QString SVideoOptions::GetDeviceName ( | ) const

QString SVideoOptions::GetFTPPass ( | ) const

bool SVideoOptions::GetFTPPassive ( | ) const

QString SVideoOptions::GetFTPPath ( | ) const

QString SVideoOptions::GetFTPServer ( | ) const

bool SVideoOptions::GetFTPToServer ( | ) const

bool SVideoOptions::GetFTPUnique ( | ) const

QString SVideoOptions::GetFTPUser ( | ) const

QString SVideoOptions::GetFileFormat ( | ) const

int SVideoOptions::GetMaxSequence ( | ) const

QString SVideoOptions::GetNodeName ( | ) const

int SVideoOptions::GetSaveOption ( | ) const

bool SVideoOptions::GetSaveToDisk ( | ) const

int SVideoOptions::GetSequence ( | ) const

QColor SVideoOptions::GetTextColor ( | ) const

QFont SVideoOptions::GetTextFont ( | ) const

bool SVideoOptions::GetTimeInImage ( | ) const

QDomNode SVideoOptions::GetXML ( | )

| Returns an XML structure with the current settings.

void SVideoOptions::SetBaseName ( | const QString & basename )

void SVideoOptions::SetDeviceName ( | const QString & name )

void SVideoOptions::SetFTPPass ( | const QString & pass )

void SVideoOptions::SetFTPPassive ( | bool passive )

void SVideoOptions::SetFTPPath ( | const QString & path )

void SVideoOptions::SetFTPServer ( | const QString & server )

void SVideoOptions::SetFTPToServer ( | bool )

void SVideoOptions::SetFTPUnique ( | bool unique )

void SVideoOptions::SetFTPUser ( | const QString & user )

void SVideoOptions::SetFileFormat ( | const QString & format )

void SVideoOptions::SetMaxSequence ( | int )

void SVideoOptions::SetNodeName ( | const QString & node )

void SVideoOptions::SetSaveOption ( | int )

void SVideoOptions::SetSaveToDisk ( | bool )

void SVideoOptions::SetSequence ( | int )

void SVideoOptions::SetTextColor ( | const QString & color_name )

void SVideoOptions::SetTextColor ( | const QColor & color )

void SVideoOptions::SetTextFont ( | const QString & font_name )

void SVideoOptions::SetTextFont ( | const QFont & font )

void SVideoOptions::SetTimeInImage ( | bool )

void SVideoOptions::SetXML ( | const QDomElement & el )

| Parse contents of node, apply to our own tree.

The documentation for this struct was generated from the following files:

- VideoOptions.cc
- VideoOptions.h